ReferenceItem lists
Companies / Vat countries
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
application/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/item-lists/companies/vat-countries' \ -H 'Authorization: Bearer <access-token>'[ { "currencyId": 0, "id": 0, "isEuMember": true, "iso2": "st", "iso3": "str", "name": "string", "number": "string", "vatRate1": 0, "vatRate2": 0, "vatRate3": 0 }]GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
id*integerFormat
int32application/json- response
currencyId?integerFormat
int32id?integerFormat
int32isEuMember?booleaniso2*stringLength
length <= 2iso3*stringLength
length <= 3name*stringLength
length <= 50number*stringLength
length <= 10vatRate1?numberFormat
decimalvatRate2?numberFormat
decimalvatRate3?numberFormat
decimalcurl -X GET 'https://<your-instance>/api/item-lists/companies/vat-countries/0' \ -H 'Authorization: Bearer <access-token>'{ "currencyId": 0, "id": 0, "isEuMember": true, "iso2": "st", "iso3": "str", "name": "string", "number": "string", "vatRate1": 0, "vatRate2": 0, "vatRate3": 0}